Bug 1459916 - Desktop freeze when connected to external display on login
Desktop freeze when connected to external display on login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 10:32 EDT by Hemant Kumar
Modified: 2017-12-12 05:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:40:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl log since boot (246.00 KB, text/plain)
2017-06-08 10:32 EDT, Hemant Kumar
no flags Details
hardware information (20.06 KB, text/plain)
2017-06-08 10:33 EDT, Hemant Kumar
no flags Details
output of dmesg (13.06 KB, text/plain)
2017-06-08 10:34 EDT, Hemant Kumar
no flags Details

  None (edit)
Description Hemant Kumar 2017-06-08 10:32:28 EDT
Created attachment 1286172 [details]
journalctl log since boot

Description of problem:

3 out of 5 times if my laptop (T460p) is connected to external display via display port and I reboot the machine, then after login screen the desktop is completely frozen. Also, while the desktop/display is frozen - I am able to SSH to the machine remotely and do my stuff. I have gathered journalctl and dmesg logs via remote SSH when this happened. 

My laptop (Thinkpad T460p) although has Nvidia card - I have noveou module blacklisted and I always use integrated intel graphics.  My external display is a AOC 4K monitor connected via display port.


Version-Release number of selected component (if applicable):

Linux pern 4.11.3-200.fc25.x86_64 #1 SMP Thu May 25 19:03:07 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux



How reproducible:


Steps to Reproduce:
1. Connect the laptop to an external display via display port.
2. Reboot the laptop.
3. Enter username & password at login screen and watch the desktop freeze.



Actual results:

Desktop is frozen


Expected results:

Desktop should not be frozen.
Comment 1 Hemant Kumar 2017-06-08 10:33 EDT
Created attachment 1286173 [details]
hardware information
Comment 2 Hemant Kumar 2017-06-08 10:34 EDT
Created attachment 1286174 [details]
output of dmesg

Output of dmesg since boot
Comment 3 Fedora End Of Life 2017-11-16 14:34:32 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-12-12 05:40:42 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.